// by danpres
textures/theIsland/emerald_skybox
{
	qer_editorimage env/theIsland/emerald_bk.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 0.90 0.80 0.70 150 320 40
	q3map_surfacelight 200
	skyparms env/theIsland/emerald - -
}

textures/theIsland/dark_water
{ 
   qer_editorimage textures/theIsland_misc/dark_water.jpg 
   qer_trans .5 
   q3map_lightimage textures/theIsland_misc/dark_water.jpg 
   q3map_globaltexture 

   surfaceparm trans 
   surfaceparm nonsolid 
   surfaceparm water 

   cull disable 
   deformVertexes wave 64 sin .25 .25 0 .5
   { 
      map textures/theIsland_misc/dark_water.jpg 
      blendFunc GL_dst_color GL_one 
      //rgbgen identity
      rgbgen vertex
      //alphagen vertex
      alphaFunc GE128
      alphaGen const 128
      tcmod scale .5 .5 
      tcmod scroll .025 .01 
   } 
   { 
      map textures/theIsland_misc/dark_water.jpg 
      blendFunc GL_dst_color GL_one 
      tcmod scale -.5 -.5 
      tcmod scroll .025 .025 
   } 
   { 
      map $lightmap 
      blendFunc GL_dst_color GL_zero 
      //rgbgen identity       
      rgbgen vertex
      //alphagen vertex
      alphaFunc GE128
      alphaGen const 128 
   } 
}


textures/theIsland/skip
{
	qer_editorimage textures/theIsland_misc/skip.jpg
	qer_trans .1

	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}


textures/theIsland/ladder
{
	qer_trans .75
	qer_editorimage textures/theIsland_misc/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}


textures/theIsland/fiamma01
{	qer_editorimage textures/theIsland_misc/flame1.jpg
	qer_trans .6

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans

	cull disable
	deformvertexes autosprite2

	{
		animMap 10 textures/theIsland_misc/flame1.jpg textures/theIsland_misc/flame2.jpg textures/theIsland_misc/flame3.jpg textures/theIsland_misc/flame4.jpg textures/theIsland_misc/flame5.jpg textures/theIsland_misc/flame6.jpg textures/theIsland_misc/flame7.jpg textures/theIsland_misc/flame8.jpg
		blendFunc add
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/theIsland_misc/flame2.jpg textures/theIsland_misc/flame3.jpg textures/theIsland_misc/flame4.jpg textures/theIsland_misc/flame5.jpg textures/theIsland_misc/flame6.jpg textures/theIsland_misc/flame7.jpg textures/theIsland_misc/flame8.jpg textures/theIsland_misc/flame1.jpg
		blendFunc add
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/theIsland_misc/flameball.jpg
		blendFunc add
		rgbGen wave sin .6 .2 0 .6
	}
}


textures/theIsland/fire_light_noise
{
	qer_editorimage textures/theIsland_wall/egypt_block01.jpg

	q3map_nonplanar
	q3map_shadeangle 70

	{
		map $lightmap
	}
	{
		map textures/theIsland_wall/egypt_block01.jpg
		rgbgen wave noise .8 .1 .5 10
		blendfunc filter
	}
}

textures/theIsland/lava_liquid
{
  qer_editorimage textures/theIsland_misc/lava.jpg
  qer_trans .5
  q3map_lightimage textures/theIsland_misc/lava.jpg
  q3map_globaltexture

  surfaceparm noimpact
  surfaceparm lava
  surfaceparm nolightmap
  surfaceparm nobuildsurface
  surfaceparm nobuild

  //q3map_surfacelight 50
  //tessSize 32
  cull disable

  //deformVertexes wave 200 sin 0 1 .5 .5

  {
    map textures/theIsland_misc/lava.jpg
    rgbGen const ( 0.6 0.6 0.6 )
    //blendfunc add
    tcMod turb .3 .2 1 .05
    tcMod scroll .01 .02
  }

  {
    map textures/theIsland_misc/lava.jpg
    rgbGen const ( 0.9 0.9 0.9  )
    //blendfunc add
    tcMod turb .2 .1 1 .05
    tcMod scale .5 .5
    tcMod scroll .02 .01
  }
}


textures/theIsland/vine06
{
	qer_editorimage textures/theIsland_wall/vine06.tga
	q3map_backShader textures/theIsland/vine06_back
	q3map_vertexScale 2
	qer_alphafunc greater 0.5
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 0.99
	{
		map textures/theIsland_wall/vine06.tga
		rgbGen vertex
		depthWrite
		alphaFunc GE128		
	}	
}

textures/theIsland/vine06_back
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	{
		map textures/theIsland_wall/vine06.tga
		rgbGen const ( 0.2 0.2 0.2 )
		alphaFunc GE128		
	}	
}


textures/theIsland/grata
{
	qer_editorimage textures/theIsland_ground/grata.tga
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull disable
	nopicmip
	{
		map textures/theIsland_ground/grata.tga
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap 

		blendfunc filter
		depthFunc equal
	}
}


textures/theIsland/plainglass
{
	qer_editorimage textures/theIsland_misc/plainglass.tga

	qer_trans 0.6

	surfaceparm nomarks
	surfaceparm trans

	{
		map textures/theIsland_misc/plainglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}


textures/theIsland/gkcspinemove
 {
 	qer_editorimage textures/theIsland_misc/matgrey_lgt1.tga
 	tessSize 128
 	deformVertexes wave 100 sin 3 1 0 0.6
 	{
 		map textures/theIsland_misc/matgrey_lgt1.tga
 		rgbGen identity
	}
 	{
 		map $lightmap 
 		blendfunc filter
 		rgbGen identity
 		tcGen lightmap 
 	}
}
